# BaseEmbeddingsAggregator
`crowdkit.aggregation.base.BaseEmbeddingsAggregator` | [Source code](https://github.com/Toloka/crowd-kit/blob/v1.0.0/crowdkit/aggregation/base/__init__.py#L48)

```python
BaseEmbeddingsAggregator(self)
```

This is a base class for all embeddings aggregators

## Parameters Description

| Parameters | Type | Description |
| :----------| :----| :-----------|
`embeddings_and_outputs_`|**DataFrame**|<p>Tasks&#x27; embeddings and outputs. A pandas.DataFrame indexed by `task` with `embedding` and `output` columns.</p>
## Methods Summary

| Method | Description |
| :------| :-----------|
[fit](crowdkit.aggregation.base.BaseEmbeddingsAggregator.fit.md)| None
[fit_predict](crowdkit.aggregation.base.BaseEmbeddingsAggregator.fit_predict.md)| None
